/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.aurorasoftworks.signal.examples.context.core;


/**
 * A simple bean used for demonstration purposes. This
 * class is used in the greeter.xml context.
 * 
 * @author Marek
 */
public class Greeter
{
	private MessageSource msgSource;
	
	public Greeter(MessageSource msgSource)
	{
		this.msgSource = msgSource;
	}

	public String getGreeting()
	{
		return msgSource.getMessage("greeting");
	}
}
