package com.aurorasoftworks.signal.examples.ui.mvc.midp;


import com.aurorasoftworks.signal.examples.core.IAccount;
import com.aurorasoftworks.signal.examples.core.IAccountService;
import com.aurorasoftworks.signal.runtime.ui.mvc.AbstractFlowController;



public abstract class AbstractAccountController extends AbstractFlowController
		implements IAccountCreationEvent
{
	private IAccountService accountService;

	private IEditAccountEvent editAccountEvent;
	
	protected AbstractAccountController(IAccountService accountService)
	{
		this.accountService = accountService;
	}
	
	public void onAccountCancelled(IAccount account)
	{
		((IAccountCreationEvent) getCaller()).onAccountCancelled(
				account);
	}

	public IEditAccountEvent getEditAccountEvent()
	{
		return editAccountEvent;
	}

	public void setEditAccountEvent(IEditAccountEvent editAccountEvent)
	{
		this.editAccountEvent = editAccountEvent;
	}

	protected IAccountService getAccountService()
	{
		return accountService;
	}
}
