/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.aurorasoftworks.signal.runtime.ui.mvc.midp;


import javax.microedition.lcdui.Displayable;

import com.aurorasoftworks.signal.runtime.ui.mvc.IController;
import com.aurorasoftworks.signal.runtime.ui.mvc.IFlowController;



public abstract class AbstractViewFlowController
		extends AbstractViewController implements IFlowController
{
	private IController caller;
	
	protected AbstractViewFlowController(Displayable view)
	{
		super(view);
	}

	public IController getCaller()
	{
		return caller;
	}

	public void setCaller(IController caller)
	{
		this.caller = caller;
	}
}
