/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.aurorasoftworks.signal.runtime.ui.mvc;



import com.aurorasoftworks.signal.runtime.core.context.proxy.AbstractProxy;


public class MockController__Proxy extends AbstractProxy
		implements ISimpleController, ISimpleDispatcherAwareController,
		ISimpleFlowController
{
	public void perform()
	{
		try
		{
			handler.invoke(target,
					MockController__ProxyClass.PERFORM_HANDLER,
					new Object[0]);
		}
		catch (Exception e)
		{
			throw new RuntimeException(e);
		}
	}

	public void activate()
	{
		try
		{
			handler.invoke(target,
					MockController__ProxyClass.ACTIVATE_HANDLER,
					new Object[0]);
		}
		catch (Exception e)
		{
			throw new RuntimeException(e);
		}
	}

	public void deactivate()
	{
		try
		{
			handler.invoke(target,
					MockController__ProxyClass.DEACTIVATE_HANDLER,
					new Object[0]);
		}
		catch (Exception e)
		{
			throw new RuntimeException(e);
		}
	}
	
	public void onReturn()
	{
		try
		{
			handler.invoke(target,
					MockController__ProxyClass.ON_RETURN_HANDLER,
					new Object[0]);
		}
		catch (Exception e)
		{
			throw new RuntimeException(e);
		}
	}

	public IDispatcher getDispatcher()
	{
		throw new RuntimeException("Not implemented");
	}

	public void setDispatcher(IDispatcher dispatcher)
	{
		throw new RuntimeException("Not implemented");
	}

	public IController getCaller()
	{
		throw new RuntimeException("Not implemented");
	}

	public void setCaller(IController caller)
	{
		throw new RuntimeException("Not implemented");
	}
}
