package com.aurorasoftworks.signal.examples.core;


import java.util.Vector;


public class AccountService implements IAccountService
{
	private Vector accounts;
	
	public AccountService()
	{
		accounts = new Vector();
		accounts.addElement(new Account("John", "Smith"));
		accounts.addElement(new Account("Jane", "Williams"));
	}

	public Vector getAccounts()
	{
		return accounts;
	}
	
	public void createAccount(IAccount account)
	{
		accounts.addElement(account);
	}
	
	public void updateAccount(IAccount account)
	{
		/* No-op: the account object already contains updated attributes */
	}
}
