package com.aurorasoftworks.signal.examples.ui.mvc.lwuit;


import com.aurorasoftworks.signal.examples.core.Account;
import com.aurorasoftworks.signal.examples.core.IAccount;
import com.aurorasoftworks.signal.examples.core.IAccountService;


public class NewAccountController extends AbstractAccountController
		implements INewAccountEvent
{		
	public NewAccountController(IAccountService accountService)
	{
		super(accountService);
	}

	public void onNewAccount()
	{
		getEditAccountEvent().onEditAccount(new Account());
	}

	public void onAccountSubmitted(IAccount account)
	{
		getAccountService().createAccount(account);
		((IAccountCreationEvent) getCaller()).onAccountSubmitted(
				account);
	}
}
