package com.aurorasoftworks.signal.tools.core.context.loader;


public class Lazy
{
	private static int instanceCount;
	
	public synchronized static int getInstanceCount()
	{
		return instanceCount;
	}
	
	public synchronized static void resetInstanceCount()
	{
		instanceCount = 0;
	}
	
	public Lazy()
	{
		instanceCount++;
	}
}
