/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.aurorasoftworks.signal.tools.core.context.loader;


public class PrimitiveArgs extends PropertiesBase
{
	public static PrimitiveArgs createPrimitiveArgs(int i, long l, short s,
			byte b, char c, float f, double d, String str)
	{
		return new PrimitiveArgs(i, l, s, b, c, f, d, str);
	}
	
	public PrimitiveArgs(int i, long l, short s, byte b, char c, float f,
			double d, String str)
	{
		this.i = i;
		this.l = l;
		this.s = s;
		this.b = b;
		this.c = c;
		this.f = f;
		this.d = d;
		this.str = str;
	}
}
