/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.aurorasoftworks.signal.tools.core.context.loader;


public class PrimitiveProperties extends PropertiesBase
{
	public int getI()
	{
		return i;
	}

	public long getL()
	{
		return l;
	}

	public short getS()
	{
		return s;
	}

	public byte getB()
	{
		return b;
	}

	public char getC()
	{
		return c;
	}

	public float getF()
	{
		return f;
	}

	public double getD()
	{
		return d;
	}

	public String getStr()
	{
		return str;
	}

	public void setI(int i)
	{
		this.i = i;
	}

	public void setL(long l)
	{
		this.l = l;
	}

	public void setS(short s)
	{
		this.s = s;
	}

	public void setB(byte b)
	{
		this.b = b;
	}

	public void setC(char c)
	{
		this.c = c;
	}

	public void setF(float f)
	{
		this.f = f;
	}

	public void setD(double d)
	{
		this.d = d;
	}

	public void setStr(String str)
	{
		this.str = str;
	}
}
