package com.aurorasoftworks.signal.tools.core.context.loader;


import com.aurorasoftworks.signal.runtime.core.context.IBeanProcessor;
import com.aurorasoftworks.signal.runtime.core.context.IBeanReference;


public class PrimitivePropertiesProcessor implements IBeanProcessor
{
	public static final int INT_VALUE = 10;
	
	public static final long LONG_VALUE = 20l;

	public Object postProcessBean(IBeanReference ref)
			throws Exception
	{
		if (PrimitiveProperties.class.isAssignableFrom(ref.getBeanClass()))
		{
			((PrimitiveProperties) ref.getBean()).setI(INT_VALUE);
		}
		
		return ref;
	}

	public Object preProcessBean(IBeanReference ref)
			throws Exception
	{
		if (PrimitiveProperties.class.isAssignableFrom(ref.getBeanClass()))
		{
			((PrimitiveProperties) ref.getBean()).setL(LONG_VALUE);
		}
		
		return ref;
	}
}
